Package generic.util.action

# Class SystemKeyBindings

java.lang.Object
generic.util.action.SystemKeyBindings

public class SystemKeyBindings extends Object
Default key strokes for System actions.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final KeyStroke`
  `ACTION_CHOOSER_KEY`
  `static final KeyStroke`
  `COMPONENT_THEME_INFO_KEY`
  `static final KeyStroke`
  `CONTEXT_MENU_KEY1`
  `static final KeyStroke`
  `CONTEXT_MENU_KEY2`
  `static final KeyStroke`
  `FOCUS_CYCLE_INFO_KEY`
  `static final KeyStroke`
  `FOCUS_INFO_KEY`
  `static final KeyStroke`
  `FOCUS_NEXT_COMPONENT_KEY`
  `static final KeyStroke`
  `FOCUS_NEXT_WINDOW_KEY`
  `static final KeyStroke`
  `FOCUS_PREVIOUS_COMPONENT_KEY`
  `static final KeyStroke`
  `FOCUS_PREVIOUS_WINDOW_KEY`
  `static final KeyStroke`
  `HELP_INFO_KEY`
  `static final KeyStroke`
  `HELP_KEY1`
  `static final KeyStroke`
  `HELP_KEY2`
  `static final KeyStroke`
  `UPDATE_KEY_BINDINGS_KEY`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### HELP_KEY1

    public static final KeyStroke HELP_KEY1

  - ### HELP_KEY2

    public static final KeyStroke HELP_KEY2

  - ### HELP_INFO_KEY

    public static final KeyStroke HELP_INFO_KEY

  - ### CONTEXT_MENU_KEY1

    public static final KeyStroke CONTEXT_MENU_KEY1

  - ### CONTEXT_MENU_KEY2

    public static final KeyStroke CONTEXT_MENU_KEY2

  - ### FOCUS_NEXT_WINDOW_KEY

    public static final KeyStroke FOCUS_NEXT_WINDOW_KEY

  - ### FOCUS_PREVIOUS_WINDOW_KEY

    public static final KeyStroke FOCUS_PREVIOUS_WINDOW_KEY

  - ### FOCUS_NEXT_COMPONENT_KEY

    public static final KeyStroke FOCUS_NEXT_COMPONENT_KEY

  - ### FOCUS_PREVIOUS_COMPONENT_KEY

    public static final KeyStroke FOCUS_PREVIOUS_COMPONENT_KEY

  - ### FOCUS_INFO_KEY

    public static final KeyStroke FOCUS_INFO_KEY

  - ### FOCUS_CYCLE_INFO_KEY

    public static final KeyStroke FOCUS_CYCLE_INFO_KEY

  - ### UPDATE_KEY_BINDINGS_KEY

    public static final KeyStroke UPDATE_KEY_BINDINGS_KEY

  - ### COMPONENT_THEME_INFO_KEY

    public static final KeyStroke COMPONENT_THEME_INFO_KEY

  - ### ACTION_CHOOSER_KEY

    public static final KeyStroke ACTION_CHOOSER_KEY